org.apache.lucene.sandbox.queries.regex

## Class RegexTermsEnum

- java.lang.Object
- - org.apache.lucene.index.TermsEnum
  - - org.apache.lucene.index.FilteredTermsEnum
    - - org.apache.lucene.sandbox.queries.regex.RegexTermsEnum

- All Implemented Interfaces:
    BytesRefIterator

  Deprecated.
  Use core's regex query.

      @Deprecated
      public class RegexTermsEnum
      extends FilteredTermsEnum

  Subclass of FilteredTermEnum for enumerating all terms that match the specified regular expression term using the specified regular expression implementation.

  Term enumerations are always ordered by Term.compareTo(). Each term in the enumeration is greater than all that precede it.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.FilteredTermsEnum

      `FilteredTermsEnum.AcceptStatus`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.TermsEnum

      `TermsEnum.SeekStatus`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.FilteredTermsEnum

      `actualTerm, tenum`

    - ### Fields inherited from class org.apache.lucene.index.TermsEnum

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexTermsEnum(TermsEnum tenum, Term term, RegexCapabilities regexCap)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FilteredTermsEnum.AcceptStatus` | `accept(BytesRef term)` Deprecated.

    - ### Methods inherited from class org.apache.lucene.index.FilteredTermsEnum

      `attributes, docFreq, next, nextSeekTerm, ord, postings, seekCeil, seekExact, seekExact, seekExact, setInitialSeekTerm, term, termState, totalTermFreq`

    - ### Methods inherited from class org.apache.lucene.index.TermsEnum

      `docs, docs, docsAndPositions, docsAndPositions, postings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexTermsEnum

          public RegexTermsEnum(TermsEnum tenum,
                        Term term,
                        RegexCapabilities regexCap)

      Deprecated.

  - ### Method Detail

    - #### accept

          protected FilteredTermsEnum.AcceptStatus accept(BytesRef term)

      Deprecated.
      Specified by:
        `accept` in class `FilteredTermsEnum`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.